# Schedules

Schedules define the amount, token and frequency of the recurring payment. You can create a schedule using the web app.

## Get a list of schedules

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/scheduled-payments/schedules`

#### Path Parameters

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| chain | string | [chain identifier](/api/overview.md#chains) |

#### Query Parameters

| Name            | Type   | Description                                                 |
| --------------- | ------ | ----------------------------------------------------------- |
| admin           | string | filter by admin                                             |
| receiver        | string | filter by receiver                                          |
| from            | number | filter by `createdAt` (default 0)                           |
| to              | number | filter by `createdAt` (default current timestamp)           |
| sort            | string | `asc` or `desc` (default `desc`), sort based on `createdAt` |
| transactionHash | string | filter by `transactionHash`                                 |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "id": "0x57b2059e526841b3dfd964144513359c9fcfd6d91040b6c47f589c1e032b6bf7",
            "name": "Salary",
            "admin": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
            "token": "8PAY",
            "status": "ACTIVE",
            "start": 1685285340,
            "repeat": 2592000,
            "nextExecution": 1685285340,
            "category": "Salary",
            "createdAt": 1684766721,
            "transactionHash": "0x54587230024701c54878c32ca0951c070666f2afccec09ddc1d6921d584cca3c",
            "transactionStatus": "confirmed",
            "receivers": [
                {
                    "user": "0x38B70aC0BEf71A46Fc9E07f9c64913b9F533e54A",
                    "amount": "1000"
                }
            ]
        }
    ],
    "limit": 100,
    "offset": 0,
    "total": 1
}
```

{% endtab %}
{% endtabs %}

## Get a schedule

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/scheduled-payments/schedules/:scheduleId`

#### Path Parameters

| Name       | Type   | Description                                 |
| ---------- | ------ | ------------------------------------------- |
| scheduleId | string | ID of the schedule                          |
| chain      | string | [chain identifier](/api/overview.md#chains) |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "0x57b2059e526841b3dfd964144513359c9fcfd6d91040b6c47f589c1e032b6bf7",
    "name": "Salary",
    "admin": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
    "token": "8PAY",
    "status": "ACTIVE",
    "start": 1685285340,
    "repeat": 2592000,
    "nextExecution": 1685285340,
    "category": "Salary",
    "createdAt": 1684766721,
    "transactionHash": "0x54587230024701c54878c32ca0951c070666f2afccec09ddc1d6921d584cca3c",
    "transactionStatus": "confirmed",
    "receivers": [
        {
            "user": "0x38B70aC0BEf71A46Fc9E07f9c64913b9F533e54A",
            "amount": "1000"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8pay.network/api/scheduled-payments/schedules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
